## debian-fastforward 20250601

=== Makefile ===
# Copyright (C) 2004-2025 Daniel Baumann <daniel@debian.org>
#
# SPDX-License-Identifier: GPL-3.0+
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

SHELL := sh -e

PACKAGE := debian-fastforward
VERSION := $(shell cat VERSION.txt)

all: build

clean: clean-man clean-pgp clean-ssh

clean-man:
	$(MAKE) -C manpages clean

clean-pgp:
	# clean pgp keyrings
	rm -f pgp-keys/*/*.pgp
	rm -f pgp-keys/*.pgp

clean-ssh:
	# clean ssh keyrings
	rm -f ssh-keys/*.pub

build: build-man build-pgp build-ssh

build-doc: build-man
	sed -n '/^===/,$$p' manpages/$(PACKAGE).7.rst > README.txt

build-man: manpages/*.rst
	$(MAKE) -C manpages

build-pgp: pgp-keys/*/*.pub
	# build pgp keyrings
	for KEY in $$(ls pgp-keys/*/*.pub); \
	do \
		OUTPUT="$$(dirname $${KEY})/$$(basename $${KEY} .pub).pgp"; \
		echo "Creating $${OUTPUT}..."; \
		gpg --output $${OUTPUT} --dearmor $${KEY}; \
	done

	for DIRECTORY in $$(ls -d pgp-keys/*/); \
	do \
		OUTPUT="pgp-keys/$$(basename $${DIRECTORY}).pgp"; \
		echo "Creating $${OUTPUT}..."; \
		for KEY in $$(ls $${DIRECTORY}/*.pgp); \
		do \
			cat $${KEY} >> $${OUTPUT}; \
		done; \
	done

build-ssh: ssh-keys/*/*.pub
	# build ssh keyrings
	for DIRECTORY in $$(ls -d ssh-keys/*/); \
	do \
		OUTPUT="ssh-keys/$$(basename $${DIRECTORY}).pub"; \
		echo "Creating $${OUTPUT}..."; \
		for KEY in $$(ls $${DIRECTORY}/*.pub); \
		do \
			cat $${KEY} >> $${OUTPUT}; \
		done; \
	done

test: test-pgp test-ssh

test-pgp: pgp-keys/*/*.sig
	# test pgp keyrings
	for SIG in $$(ls pgp-keys/*/*.sig); \
	do \
		echo "Verifying $${SIG}..."; \
		gpg --no-default-keyring --keyring /usr/share/keyrings/debian-keyring.pgp --keyring /usr/share/keyrings/debian-maintainers.pgp --verify $${SIG}; \
	done

test-ssh: ssh-keys/*/*.sig
	# test ssh keyrings
	for SIG in $$(ls ssh-keys/*/*.sig); \
	do \
		echo "Verifying $${SIG}..."; \
		gpg --no-default-keyring --keyring /usr/share/keyrings/debian-keyring.pgp --keyring /usr/share/keyrings/debian-maintainers.pgp --verify $${SIG}; \
	done

install: install-doc install-man install-pgp install-ssh

install-doc: build-doc
	# install doc
	mkdir -p $(DESTDIR)/usr/share/doc/$(PACKAGE)
	cp *.txt $(DESTDIR)/usr/share/doc/$(PACKAGE)

install-man: build-man
	# install manpages
	for SECTION in $$(seq 1 8); \
	do \
		if ls manpages/*.$${SECTION} > /dev/null 2>&1; \
		then \
			mkdir -p $(DESTDIR)/usr/share/man/man$${SECTION}; \
			cp manpages/*.$${SECTION} $(DESTDIR)/usr/share/man/man$${SECTION}; \
		fi; \
	done

install-pgp: build-pgp
	# install pgp keyrings
	mkdir -p $(DESTDIR)/usr/share/$(PACKAGE)/pgp-keys
	cp pgp-keys/*.pgp $(DESTDIR)/usr/share/$(PACKAGE)/pgp-keys

install-ssh: build-ssh
	# install ssh keyrings
	mkdir -p $(DESTDIR)/usr/share/$(PACKAGE)/ssh-keys
	cp ssh-keys/*.pub $(DESTDIR)/usr/share/$(PACKAGE)/ssh-keys

uninstall: uninstall-doc uninstall-man uninstall-pgp uninstall-ssh

uninstall-doc:
	# uninstall doc
	rm -rf $(DESTDIR)/usr/share/doc/$(PACKAGE)

uninstall-man:
	# uninstall manpages
	for SECTION in $$(seq 1 8); \
	do \
		for FILE in manpages/*.$${SECTION}; \
		do \
			rm -f $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${FILE}); \
		done; \
		rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/man/man$${SECTION} || true; \
	done

uninstall-pgp:
	# uninstall pgp keyrings
	rm -rf $(DESTDIR)/usr/share/$(PACKAGE)/pgp-keys
	-rmdir --parents $(DESTDIR)/usr/share/$(PACKAGE)

uninstall-ssh:
	# uninstall ssh keyrings
	rm -rf $(DESTDIR)/usr/share/$(PACKAGE)/ssh-keys
	-rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/$(PACKAGE)

reinstall: clean uninstall build install

distclean: clean
	rm -rf $(PACKAGE)-$(VERSION)

release: distclean
	git commit -a -s -S -m 'Releasing version $(VERSION).' || true
	git tag -s -m 'Tagging version $(VERSION).' v$(VERSION) || true

	mkdir -p $(PACKAGE)-$(VERSION)
	find . -mindepth 1 -maxdepth 1 -and -not -name ".git*" -and -not -name debian -and -not -name $(PACKAGE)-$(VERSION) -exec cp \-a {} $(PACKAGE)-$(VERSION) \;

	for FORMAT in xz lzip; \
	do \
		EXTENSION=$$(echo $${FORMAT} | cut -b-2); \
		tar --$${FORMAT} -cf ../$(PACKAGE)-$(VERSION).tar.$${EXTENSION} $(PACKAGE)-$(VERSION); \
		sha512sum ../$(PACKAGE)-$(VERSION).tar.$${EXTENSION} > ../$(PACKAGE)-$(VERSION).tar.$${EXTENSION}.sha512; \
		gpg --default-key 2698683880B6A84A3D044602FBB4F0E80A80222F --armor -b ../$(PACKAGE)-$(VERSION).tar.$${EXTENSION}; \
		mv ../$(PACKAGE)-$(VERSION).tar.$${EXTENSION}.asc ../$(PACKAGE)-$(VERSION).tar.$${EXTENSION}.sig; \
	done

	rm -rf $(PACKAGE)-$(VERSION)

upload:
	scp ../$(PACKAGE)-$(VERSION).* apt.fastforward.deb822.org:/srv/apt.fastforward.deb822.org/archive/upstream/$(PACKAGE)
