=== debian/changelog ===
debian-fastforward (20250601-5) unstable; urgency=medium

  * Adding initial Dutch debconf translations from Frans Spiesschaert
    <Frans.Spiesschaert@yucom.be> (Closes: #1127880).

 -- Daniel Baumann <daniel@debian.org>  Sat, 14 Feb 2026 13:23:15 +0100

debian-fastforward (20250601-4) unstable; urgency=medium

  * Adding initial Catalan debconf translations from poc senderi
    <pocsenderi@protonmail.com> (Closes: #1127650).
  * Adding initial Simplified Chinese debconf translations from Yangfl
    <mmyangfl@gmail.com> (Closes: #1127738).
  * Adding initial Traditional Chinese debconf translations from Yangfl
    <mmyangfl@gmail.com> (Closes: #1127738).

 -- Daniel Baumann <daniel@debian.org>  Sat, 14 Feb 2026 10:23:05 +0100

debian-fastforward (20250601-3) unstable; urgency=low

  * Adding initial Portuguese translation from Américo Monteiro
    <a_monteiro@gmx.com> (Closes: #1126822).
  * Removing Rules-Requires-Root field, not needed anymore.
  * Updating to standards version 4.7.3.
  * Updating year in debian copyright for 2026.

 -- Daniel Baumann <daniel@debian.org>  Mon, 02 Feb 2026 05:56:05 +0100

debian-fastforward (20250601-2) unstable; urgency=low

  * Adding debconf support to generate sources.list entries.

 -- Daniel Baumann <daniel@debian.org>  Fri, 05 Dec 2025 11:43:08 +0100

debian-fastforward (20250601-1) unstable; urgency=low

  * Initial upload to sid.

 -- Daniel Baumann <daniel@debian.org>  Tue, 22 Jul 2025 20:21:42 +0200
