=== debian/control ===
Source: debian-fastforward
Section: admin
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 gnupg,
 python3-docutils,
Standards-Version: 4.7.3
Homepage: https://fastforward.debian.net
Vcs-Browser: https://git.fastforward.debian.net/debian/debian-fastforward
Vcs-Git: https://git.fastforward.debian.net/debian/debian-fastforward

Package: debian-fastforward
Section: admin
Architecture: all
Multi-Arch: foreign
Depends:
 ca-certificates,
 debian-fastforward-pgp-keys,
 debian-fastforward-ssh-keys,
 ${misc:Depends},
Enhances:
 apt,
 openssh-server,
Description: Fast Forward Packages for Debian - Setup
 Debian Fast Forward is a Debian package repository focused on backports from
 unstable to stable.
 .
 This package allows one to setup the Debian Fast Forward apt archives and ssh
 cert-authority to the current system.

Package: debian-fastforward-pgp-keys
Section: admin
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Provides:
 debian-fastforward-gpg-keys,
Enhances:
 apt,
Description: Fast Forward Packages for Debian - PGP Keys
 Debian Fast Forward is a Debian package repository focused on backports from
 unstable to stable.
 .
 This package contains the PGP keys used to verify digital signatures on
 packages and images.

Package: debian-fastforward-ssh-keys
Section: admin
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Enhances:
 openssh-server,
Description: Fast Forward Packages for Debian - SSH Keys
 Debian Fast Forward is a Debian package repository focused on backports from
 unstable to stable.
 .
 This package contains the SSH keys used for hosts and maintainers.
