## debian-fastforward 20260224

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2004-2025 Daniel Baumann <daniel@debian.org>
+# Copyright (C) 2004-2026 Daniel Baumann <daniel@debian.org>
 #
 # SPDX-License-Identifier: GPL-3.0+
 #
@@ -172,4 +172,4 @@
 	rm -rf $(PACKAGE)-$(VERSION)
 
 upload:
-	scp ../$(PACKAGE)-$(VERSION).* apt.fastforward.deb822.org:/srv/apt.fastforward.deb822.org/archive/upstream/$(PACKAGE)
+	scp ../$(PACKAGE)-$(VERSION).* archive.fastforward.deb822.org:/srv/archive.fastforward.deb822.org/archive/upstream/$(PACKAGE)
