=== manpages/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2004-2025 Daniel Baumann <daniel@debian.org>
+# Copyright (C) 2004-2026 Daniel Baumann <daniel@debian.org>
 #
 # SPDX-License-Identifier: GPL-3.0+
 #
